// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Accumulateur;

public class Reaccumuler extends CommandBase {
  private Accumulateur accumulateur;
  /** Creates a new Lancer. */
  public Reaccumuler(Accumulateur accumulateur) {
    this.accumulateur = accumulateur;
    addRequirements(accumulateur);
  }
  // Called when the command is initially scheduled.
  @Override
  public void initialize() {accumulateur.Reset();}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {}

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return (accumulateur.distance()< -256);
  }
}
